# QDrag Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QDrag(QWidget dragSource)

### Constructor Properties

- prototype: The QDrag prototype object

### Prototype Object Properties

The QDrag prototype object inherits properties from the QObject prototype object and also has the following properties.

- DropAction exec(DropActions supportedActions)
- QPoint hotSpot()
- QMimeData mimeData()
- QPixmap pixmap()
- void setDragCursor(QPixmap cursor, DropAction action)
- void setHotSpot(QPoint hotspot)
- void setMimeData(QMimeData data)
- void setPixmap(QPixmap arg__1)
- QWidget source()
- QWidget target()

### Instance Properties

QDrag objects have no special properties beyond those inherited from the QDrag prototype object.